ru.bitel.bgbilling.modules.cerbercrypt.server.bean

## Class GraduallySubscriptionManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<GraduallySubscription>
    - - ru.bitel.bgbilling.modules.cerbercrypt.server.bean.GraduallySubscriptionManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class GraduallySubscriptionManager
      extends ru.bitel.common.dao.AbstractDao<GraduallySubscription>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraduallySubscriptionManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate(int entityId)` Возвращает дату продления по айдишнику сущности.
    `java.util.Map<java.lang.Integer,java.util.Date>` | `getDateMap()` Все элементы существующие.
    `protected GraduallySubscription` | `getFromRS(java.sql.ResultSet rs)`
    `void` | `updateDate(int entityId, java.util.Date date)` Обновляет/добавляет(если нету) дату для сущности.
    `protected void` | `updateImpl(GraduallySubscription entry)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraduallySubscriptionManager

          public GraduallySubscriptionManager(java.sql.Connection con,
                                              int mid)

  - ### Method Detail

    - #### getFromRS

          protected GraduallySubscription getFromRS(java.sql.ResultSet rs)
                                             throws java.sql.SQLException,
                                                    ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<GraduallySubscription>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(GraduallySubscription entry)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<GraduallySubscription>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getDate

          public java.util.Date getDate(int entityId)
                                 throws ru.bitel.bgbilling.common.BGException

      Возвращает дату продления по айдишнику сущности.
      Parameters:
        `entityId` - ид канала/пакета (решает активатор).
      Returns:
        дата, либо null, если нет такой записи ещё
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateDate

          public void updateDate(int entityId,
                                 java.util.Date date)
                          throws ru.bitel.bgbilling.common.BGException

      Обновляет/добавляет(если нету) дату для сущности.
      Parameters:
        `entityId` - сущность
        `date` - дата
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDateMap

          public java.util.Map<java.lang.Integer,java.util.Date> getDateMap()
                                                                     throws ru.bitel.bgbilling.common.BGException

      Все элементы существующие.
      Returns:
        мэп сущностьИд=>дата
      Throws:
        `ru.bitel.bgbilling.common.BGException`